Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sqs.model
Class ReceiveMessageResult

    java.lang.Object
      com.amazonaws.services.sqs.model.ReceiveMessageResult

    public class ReceiveMessageResult

extends Object

Constructor Summary
`ReceiveMessageResult()`

Method Summary
`List<Message>` | `getMessages()` A list of messages.
`void` | `setMessages(Collection<Message> messages)` A list of messages.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ReceiveMessageResult` | `withMessages(Collection<Message> messages)` A list of messages.
`ReceiveMessageResult` | `withMessages(Message... messages)` A list of messages.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReceiveMessageResult

    public ReceiveMessageResult()

Method Detail

### getMessages

    public List<Message> getMessages()

  A list of messages.

  Returns:
    A list of messages.

### setMessages

    public void setMessages(Collection<Message> messages)

  A list of messages.

  Parameters:
    `messages` - A list of messages.

### withMessages

    public ReceiveMessageResult withMessages(Message... messages)

  A list of messages.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `messages` - A list of messages.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withMessages

    public ReceiveMessageResult withMessages(Collection<Message> messages)

  A list of messages.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `messages` - A list of messages.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.